function H = readAcceleration(recording)
% READACCELERATION Creates an array containing the measured and 
% averaged vertical acceleration for every sensor along the 
% Hardanger Bridge.
%
% INPUT:        recording:      .mat-file for recording
%
% OUTPUT:       H:              Acceleration response on the Hardanger
%                                   Bridge
%

g = 9.81;   % Gravitational acceleration

% Sampling out only accelerations from the bridge deck
for i = 1:16
    sensor{i} = g*detrend(recording.sensor(i).component(3). ...
    adjusted_data);
end

% Averaging acceleration response for sensors in the same section
H1 = mean([sensor{1} sensor{2}],2);
H2 = sensor{3};
H3 = mean([sensor{4} sensor{5}],2);
H4 = mean([sensor{6} sensor{7}],2);
H5 = mean([sensor{8} sensor{9}],2);
H6 = mean([sensor{10} sensor{11}],2);
H7 = mean([sensor{12} sensor{13}],2);
H8 = sensor{14};
H9 = mean([sensor{15} sensor{16}],2);

% Rearranging all sections into one array
H = {H1 H2 H3 H4 H5 H6 H7 H8 H9};