function [u,w,theta] = readWind(recording)
% READWIND Creates arrays for the recorded wind data, including
% horizontal and vertical wind velocities, including the wind 
% direction
%
% INPUT:     recording:     .mat-file for the recording
%
% OUTPUT:    u:             Horizontal wind velocity    
%            w:             Vertical wind velocity
%            theta:         Angle for horizontal wind
%

for i = 1:9
    theta{i} = recording.sensor(i+20).component(1).adjusted_data;
    u{i} = recording.sensor(i+20).component(2).adjusted_data;
    w{i} = recording.sensor(i+20).component(3).adjusted_data;
end